View Issue Details

IDProjectCategoryView StatusLast Update
0003762SketcherBugpublic2019-02-15 18:49
Reportergauna Assigned Toabdullah  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionreopened 
Product Version0.18 
Target VersionFixed in Version0.18 
Summary0003762: DIameter and radius in reference mode are not consistent
DescriptionI tried to measure the diameter of an extruded circle by creating a sketch on its surface, switching to reference mode, taking the external gemoetry of the 100mm disk (diameter) and finaly apply diameter feature. The result is a disc with 200mm diameter while the radius is correct with 50mm.
Additional InformationOS: "openSUSE Leap 15.0"
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15566 +23 (Git)
Build type: Unknown
Branch: zenbook
Hash: 1506cb831f57edeb43ae4e74bd3a9240c9ac66aa
Python version: 2.7.14
Qt version: 4.8.7
Coin version: 3.1.3
OCC version: 7.3.0
Locale: German/Germany (de_DE)
TagsNo tags attached.

Activities

gauna

2019-01-09 12:02

reporter  

FreeCAD 0.18_003.png (37,855 bytes)
FreeCAD 0.18_003.png (37,855 bytes)
Test.FCStd (7,147 bytes)

gauna

2019-01-09 12:05

reporter   ~0012404

Additional screenshot

Auswahl_004.png (33,048 bytes)
Auswahl_004.png (33,048 bytes)

Kunda1

2019-01-11 11:31

administrator   ~0012414

@abdullah care to take a look at this ?

abdullah

2019-01-11 14:57

manager   ~0012415

PR:
https://github.com/FreeCAD/FreeCAD/pull/1907

wmayer

2019-01-12 16:28

administrator   ~0012422

https://github.com/FreeCAD/FreeCAD/commit/7d8e5662648b794b5c93e28835a2bf5c1fddffec

chrisb

2019-02-15 13:34

developer   ~0012656

Diameter on a normal circle (non external) shows the same value as the radius. See forum discussion.

abdullah

2019-02-15 16:57

manager   ~0012658

PR:
https://github.com/FreeCAD/FreeCAD/pull/1973

wmayer

2019-02-15 18:49

administrator   ~0012659

https://github.com/FreeCAD/FreeCAD/commit/88228d6d255808599a51319e1bf1bf9e8f8211e6

Issue History

Date Modified Username Field Change
2019-01-09 12:02 gauna New Issue
2019-01-09 12:02 gauna File Added: FreeCAD 0.18_003.png
2019-01-09 12:02 gauna File Added: Test.FCStd
2019-01-09 12:05 gauna File Added: Auswahl_004.png
2019-01-09 12:05 gauna Note Added: 0012404
2019-01-11 11:31 Kunda1 Note Added: 0012414
2019-01-11 14:57 abdullah File Added: Screenshot_20190111_155633.png
2019-01-11 14:57 abdullah Note Added: 0012415
2019-01-12 16:28 wmayer Assigned To => abdullah
2019-01-12 16:28 wmayer Status new => closed
2019-01-12 16:28 wmayer Resolution open => fixed
2019-01-12 16:28 wmayer Fixed in Version => 0.18
2019-01-12 16:28 wmayer Note Added: 0012422
2019-02-15 13:34 chrisb Status closed => feedback
2019-02-15 13:34 chrisb Resolution fixed => reopened
2019-02-15 13:34 chrisb Note Added: 0012656
2019-02-15 16:57 abdullah Note Added: 0012658
2019-02-15 18:49 wmayer Status feedback => closed
2019-02-15 18:49 wmayer Note Added: 0012659